package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.PcArchivesFactory;
import cn.cecep.talroad.vo.PcArchivesFactoryVo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface PcArchivesFactoryService extends  IService<PcArchivesFactory>
{
    PcArchivesFactoryVo getByFactoryId(String factoryId);

    void deleteById(String id);

    void revert(String id);

    void follow(String id);

    void cancelFollow(String id);

    void init(String factoryId);
}
